
TYPO3.Flow - Bug # 50118

Status: Resolved Priority: Should have
Author: Dominique Feyer Category: Package
Created: 2013-07-17 Assigned To: Dominique Feyer
Updated: 2014-06-18 Due date:
PHP Version:
Has patch: Yes
Complexity:
Affected Flow version: Git master
Subject: Add a method in the PackageManager to get package of class name
Description

Currently we have only getPackageOfObject and sometimes it's useful the get the package of the class name

Related issues:
related to TYPO3.Flow - Bug # 55309: PackageManager::getPackageOfObject() doe... Resolved 2014-01-24

Associated revisions
Revision 6f335eb4 - 2014-01-24 15:19 - Dominique Feyer

[FEATURE] Add method getPackageByClassName to PackageManager

Currently there is only a method to fetch the package of a given object.
This change adds a new method ``PackageManager::getPackageByClassName()`` that
resolves the package of a given class name.

Change-Id: Ic99d0ed5db8cdefc47063d1508dfa76f3131a6ac
Resolves: #50118
Releases: master, 2.1

Revision fbf7950a - 2014-06-18 22:04 - Dominique Feyer

[FEATURE] Add method getPackageByClassName to PackageManager

Currently there is only a method to fetch the package of a given object.
This change adds a new method ``PackageManager::getPackageByClassName()`` that
resolves the package of a given class name.

Change-Id: Ic99d0ed5db8cdefc47063d1508dfa76f3131a6ac
Resolves: #50118
Releases: master, 2.1

History
#1 - 2013-07-17 15:24 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22384
#2 - 2013-07-19 10:17 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22384

#3 - 2013-07-19 13:32 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22384

#4 - 2013-07-19 23:57 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22384

#5 - 2013-07-19 23:58 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22384

#6 - 2013-10-04 10:20 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22384

#7 - 2013-12-06 00:34 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/22384

#8 - 2013-12-07 17:18 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/22384

#9 - 2014-01-24 15:20 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/22384

#10 - 2014-01-29 16:35 - Dominique Feyer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:6f335eb49d7f70c9c3db9da8b9241405af7c0c8e.

#11 - 2014-06-18 22:04 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.1 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30834

#12 - 2014-06-18 22:37 - Dominique Feyer
- Status changed from Under Review to Resolved

Applied in changeset commit:fbf7950ae363f4adf1bfb187951d31c74628adbc.
